# CHANGELOG

## [Unreleased]
### Requirements
* numpy now at 1.23.3
* ....

### Added
Features
* PyLinkForwardModel has new link_type 'umbridge' for UM-Bridge type models
* class `InputSpace` as parent class to `ExpDesigns`
* `MetaModel` has option to train with OLS+constraints

Examples
* Example `umbridge_tsunamitutorial` to show two options of using UM-Bridge type models
* Example `convergence_tests` for the constraints

### Changed
General
* Independent functions moved out of classes
* Constructors of `PostProcessing`, `BayesInference`, `BayesModelComp` are to be given the engine instead of the metamodel
* Constructor of `Exploration` to be given `ExpDesigns` instead of `MetaModel`

Engine
* `MetaModelEngine` renamed to `Engine`
* Split `run()` into `train_normal()` and `train_sequential()`
* `opt_SeqDesign()` renamed to `choose_next_sample()`

MetaModel
* `MetaModel` fully independent of model
* `MetaModel` uses `InputSpace` instead of `ExpDesigns`
* `create_metamodel()` split into `build_metamodel()` and `fit()`
* `fit()` renamed to `regression()`
* `eval_metamodel()` only runs on given samples, full functionality retained in `Engine.eval_metamodel()`
* Polynomial related functions moved from `MetaModelEngine` to `MetaModel`

PyLinkForwardModel
* Read-in of MC-references now performed by `PyLinkForwardModel.read_observation()`

ExpDesigns
* Parameters related to sequential training were moved from `MetaModel` to `ExpDesigns` (`Seq*`, `valid_model_runs`)
 
### Removed
* Class `SequentialDesign`
* `ExpDesigns.method` 
* `MetaModel.create_basis_indices()`


